<div class="full-width full-height container">
  @if (componentData.loadingData) {
    <div class="flex-column">
      <span class="current-workspace-main-color message flex-row">
        {{
          'sqtm-core.administration-workspace.views.project.import.dialog.label.import-request-in-progress'
            | translate
        }}
      </span>
      <i
        class="current-workspace-main-color loading-icon flex-row m-t-20 m-auto"
        nz-icon
        nzType="loading"
        nzTheme="outline"
      ></i>
    </div>
  } @else if (
    !componentData.loadingData && !componentData.errors.importFailed
  ) {
    <span class="current-workspace-main-color message">
      {{
        'sqtm-core.administration-workspace.views.project.import.dialog.label.import-request-finished'
          | translate
      }}
    </span>
  } @else {
    <sqtm-app-import-from-xray-error-dialog>
      <span class="error-message">
        {{ 'sqtm-core.error.generic.label' | translate }}
      </span>
    </sqtm-app-import-from-xray-error-dialog>
  }
</div>
